Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class TorqueRuntimeExceptionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.TorqueRuntimeExceptionTest

All Implemented Interfaces:
  junit.framework.Test

    public class TorqueRuntimeExceptionTest

extends BaseTestCase

Tests the class TorqueRuntimeException

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`TorqueRuntimeExceptionTest()`

Method Summary
`void` | `testPrintStackTrace()` Tests whether printstackTrace works.

Methods inherited from class org.apache.torque.BaseTestCase
`setUp`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TorqueRuntimeExceptionTest

    public TorqueRuntimeExceptionTest()

Method Detail

### testPrintStackTrace

    public void testPrintStackTrace()

  Tests whether printstackTrace works.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.